---
title: pydo.genai.delete_scenario_set()
description: Delete Scenario Set
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/genai/delete_scenario_set/
last_updated: "2026-10-16"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.genai.delete_scenario_set()

Generated on 16 Oct 2026 from `pydo` version [`v0.44.0`](https://github.com/digitalocean/pydo/releases/tag/v0.44.0v0.44.0)

## Usage

```python
client.genai.delete_scenario_set(
    scenario_set_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)
```

Returns `JSON` Raises `HttpResponseError`

## Description

To delete a scenario set, send a DELETE request to [`/v2/gen-ai/scenario_sets/{scenario_set_uuid}`](https://docs.digitalocean.com/reference/api/reference/agent-platform-api/index.html.md#genai_delete_scenario_set). A scenario set that is referenced by a simulation run cannot be deleted.

## Parameters

`scenario_set_uuid` string required

UUID of the scenario set to delete. Returned by `CreateScenarioSet`
and listed via `ListScenarioSets`. A set still referenced by a
simulation run cannot be deleted.

## Response Example

## Show Response Example

```json
{
  "scenario_set_uuid": "123e4567-e89b-12d3-a456-426614174000"
}
```

## More Information

See [`/v2/gen-ai/scenario_sets/{scenario_set_uuid}`](https://docs.digitalocean.com/reference/api/reference/agent-platform-api/index.html.md#genai_delete_scenario_set) in the API reference for additional detail on responses, headers, parameters, and more.